state DEVICE_PM_LOW_POWER_STATE of Device Power Management
@pizi-nordic could you please give some comments, thanks a lot.
Consider more, in the documentation we claim support DEVICE_PM_LOW_POWER_STATE, DEVICE_PM_SUSPEND_STATE, DEVICE_PM_OFF_STATE, DEVICE_PM_ACTIVE_STATE states, when system going to suspend state, we let device driver decide himself's state based on the system idle ticks, and then system will make the final decision based on every device's feedback. 
@pizi-nordic could you please take a look this issue and give some comments? Thanks  
@wentongwu: Hi. I apologize for the delay. I already looked at your PR.
> @wentongwu: Hi. I apologize for the delay. I already looked at your PR.

@pizi-nordic no problem, thanks for the review. 